Subject: Re: Missing Win32-fcts {Copy,Move,Fill,Zero}Memory
From: [email-masked] (Mumit Khan)

5 Aug 1998 11:23:55 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Mark Becker <[email-masked]>
Cc: gnu-win32 <[email-masked]>

On Tue, 4 Aug 1998, Mark Becker wrote:

> 
> Sorry, I've to correct the statement above : only CopyMemory isn't
> implemented in gnu-win32, all the others do exist!
> Anyway, for the sake of completeness it would be nice if CopyMemory
> is implemented too! A simple mapping to the memcpy-fct would be
> sufficient I guess; it's similarly done for MoveMemory, FillMemory and
> ZeroMemory.

I've added this for the next mingw32 release (I'll forward the change to
Cygnus as well). For now, you can just add the following to where
ZeroMemory is defined:
  
  #define CopyMemory (dest, source, len) memcpy ((dest), (source), (len))

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".